@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900?display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    font-family: 'Poppins', sans-serif;
}

body {
    min-height: 100vh;
    background-color: #ffffff;
    overflow-y: auto;
}

/* navigation bar */
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1.3rem 10%;
    display: flex;
    text-shadow: 1px 1px black;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(40, 40, 40);
    backdrop-filter: blur(50px);
    z-index: -1;
}

.logo {
    font-size: 2rem;
    color: #ffffff;
    text-decoration: none;
    font-weight: 700;
}

.logo:hover {
    color: #ffa734;
    transition: all .5s;
}

.navbar a {
    font-size: 1.15rem;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    margin-left: 1.5rem;
}

.navbar a:hover {
    color: #ffa734;
    transition: all .5s;
}

#navbar-toggle {
    display: none;
}

.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}

.header-image {
    width: 100%;
}

/* Language Toggle */
.container .content {
    display: none;
    margin-top: 1rem;
}

.container .content.contentKorean {
    display: block;
}

.check {
    position: relative;
    width: 50px;
}

.check:before {
    content: '';
    position: absolute;
    width: 50px;
    height: 25px;
    background: #333;
    border-radius: 25px;
}

.check:checked:before {
    background: #00a1ff;
}

.check:after {
    content: '';
    position: absolute;
    left: 0px;
    width: 25px;
    height: 25px;
    background: #fff;
    border-radius: 25px;
    transition: 0.25s;
    border: 2px solid #333;
    box-sizing: border-box;
}

.check:checked::after {
    left: 25px;
    border: 2px solid #00a1ff;
}

.kr {
    color: #333;
}

.en {
    color: #00a1ff;
}

/* Desktop Style */
@media screen and (min-width: 992px) {
    .header {
        padding: 1.3rem 5%;
    }
    
    .container {
        width: 70%;
        margin: 0 auto;
        background-color: #ffffff;
        padding: 20px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        border-radius: 10px;
        margin-top: 100px;
    }

    .container h1 {
        text-align: center;
        margin-bottom: 1rem;
        position: relative;
    }

    .bottom-image {
        display: block;
        margin-top: 10px;
        width: 50%;
        margin-left: auto;
        margin-right: auto;
    }

    .centered-image {
        width: 30%;
        margin: auto;
        display: block;
    }
}

/* Laptop & Tablet or Smartphone Style */
@media (max-width: 1023px), (max-width: 767px) {
    .icons {
        display: inline-flex;
    }

    #navbar-toggle:checked~.icons #menu-icon {
        display: none;
    }

    .icons #close-icon {
        display: none;
    }

    #navbar-toggle:checked~.icons #close-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background: rgba(0, 0, 0, .1);
        backdrop-filter: blur(50px);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
        overflow: hidden;
        transition: .3s ease;
        line-height: 1.3rem;
    }

    #navbar-toggle:checked~.navbar {
        height: 24rem;
    }

    .navbar a {
        display: block;
        font-size: 1.1rem;
        margin: 1.5rem 0;
        text-align: center;
    }

    .navbar::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(40, 40, 40, 0.7);
        z-index: -1;
    }
    
    .container {
        width: 90%;
        margin: 0 auto;
        background-color: #ffffff;
        padding: 20px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        border-radius: 10px;
        margin-top: 100px;
    }

    .container h1 {
        text-align: center;
        margin-bottom: 1rem;
        position: relative;
    }

    .bottom-image {
        display: block;
        margin-top: 10px;
        width: 70%;
        margin-left: auto;
        margin-right: auto;
    }

    .centered-image {
        width: 90%;
        margin: auto;
        display: block;
    }
}